package com.goafanti.common.dao;

import com.goafanti.common.model.TOrderInvoice;
import com.goafanti.common.model.TOrderInvoiceExample;
import com.goafanti.order.bo.InvoiceBo;
import com.goafanti.order.bo.OutInvoiceLog;
import com.goafanti.order.bo.TOrderInvoiceDetails;

import java.math.BigDecimal;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TOrderInvoiceMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TOrderInvoice record);

    int insertSelective(TOrderInvoice record);

    TOrderInvoice selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TOrderInvoice record);

    int updateByPrimaryKey(TOrderInvoice record);

    String checkApplyAmount(@Param("orderNo")String orderNo,@Param("id")Integer id);

    TOrderInvoiceDetails selectByInvoiceDitails(Integer id);

    BigDecimal conutAmountByOrderNo(String orderNo);

    List<InvoiceBo> selectByOrderNo(String orderNo);

    TOrderInvoiceDetails getInvoiceDetails(String orderNo);

    List<OutInvoiceLog>  selectInvoiceLog(Integer id);
}
